# Uses of Class
org.apache.solr.client.solrj.response.FacetField

Packages that use FacetField
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of FacetField in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return FacetField
Modifier and Type
Method
Description
`FacetField`
QueryResponse.`getFacetDate(String name)`
`FacetField`
FacetField.Count.`getFacetField()`
`FacetField`
QueryResponse.`getFacetField(String name)`
get
`FacetField`
FacetField.`getLimitingFields(long max)`
Methods in org.apache.solr.client.solrj.response that return types with arguments of type FacetField
Modifier and Type
Method
Description
`List<FacetField>`
QueryResponse.`getFacetDates()`
`List<FacetField>`
QueryResponse.`getFacetFields()`
See also: `QueryResponse.getLimitingFacets()`
`List<FacetField>`
QueryResponse.`getLimitingFacets()`
Constructors in org.apache.solr.client.solrj.response with parameters of type FacetField
Modifier
Constructor
Description
``
`Count(FacetField ff, String n, long c)`